Get Compute Related Ids Signatures

Get Compute Related Ids Signatures
List IDS signatures detected on a specific VM

Returns a list of unique IDS signatures that were triggered on the specified VM within the given time window. Each entry identifies a unique signature with its metadata.

Notes:

  • start_time is required. Either site_id or site_ids must also be provided.
  • compute-id is the VM external ID. Obtain valid IDs from POST /visualization/topology/compute-flow-topology.
  • filters accepts up to 300 filter entries.
  • To see which VMs were affected by a specific signature, use POST /visualization/threat-analysis/workloads-affected.
  • To see the full event timeline for a specific signature, use POST /visualization/threat-analysis/{signature-id}/events-history.
Request
URI
POST
https://{api_host}/intelligence/visualization/threat-analysis/{compute-id}/related-signatures
COPY
Path Parameters
string
compute-id
Required  

External ID of the target VM.


Request Body

Wrapper request for IdsIdRelatedSignatures with restricted filter keys

VizIdsIdRelatedSignaturesRequest of type(s) application/json
Required  
This request body class requires all of the following: VizTimeIntervalSortableListSiteRequest , InlineVizIdsIdRelatedSignaturesRequest1
{
    "start_time": 1782167958452,
    "page_size": 10000,
    "offset": 0,
    "site_id": "17f7c7e5-7f8c-490a-97e9-b9c9193c45e1"
}
Authentication
This operation uses the following authentication methods.
Responses
200

success

Returns IdsSignatureListResult of type(s) application/json
{
    "time_interval": {
        "start_time": 1782167958452,
        "end_time": 1782169785602
    },
    "signature_list": [
        {
            "is_active": true,
            "severity": "MEDIUM",
            "details": "NSX - (Initial Access) Detect CVE-2014-3704 scan attempts",
            "signature_id": "1100199",
            "total_detected": 102,
            "total_prevented": 0,
            "impact_score": 38,
            "risk_score": 75,
            "confidence_score": 50,
            "time": 1782169640000
        },
        {
            "is_active": true,
            "severity": "MEDIUM",
            "details": "NSX - (Initial Access) Detect CVE-2014-3704 exploitation attempts",
            "signature_id": "1108917",
            "total_detected": 102,
            "total_prevented": 0,
            "impact_score": 45,
            "risk_score": 75,
            "confidence_score": 60,
            "time": 1782169640000
        },
        {
            "is_active": true,
            "severity": "SUSPICIOUS",
            "details": "ET WEB_SPECIFIC_APPS Joomla 3.7.0 - Sql Injection (CVE-2017-8917)",
            "signature_id": "2024342",
            "total_detected": 64,
            "total_prevented": 0,
            "impact_score": 24,
            "risk_score": 70,
            "confidence_score": 70,
            "time": 1782169640000
        },
        {
            "is_active": true,
            "severity": "MEDIUM",
            "details": "SLR Alert - Joomla com_fields SQL Injection",
            "signature_id": "4100956",
            "total_detected": 64,
            "total_prevented": 0,
            "impact_score": 45,
            "risk_score": 75,
            "confidence_score": 60,
            "time": 1782169640000
        },
        {
            "is_active": true,
            "severity": "LOW",
            "details": "SLR Alert - Drupal 7 Preauth SQL Injection (CVE-2014-3704)",
            "signature_id": "4101035",
            "total_detected": 102,
            "total_prevented": 0,
            "impact_score": 25,
            "risk_score": 75,
            "confidence_score": 10,
            "time": 1782169640000
        },
        {
            "is_active": true,
            "severity": "MEDIUM",
            "details": "SLR Alert - PHP Command Line Options in Query String, Possible Remote Code Execution Vulnerability (CVE-2024-4577, CVE-2012-1823)",
            "signature_id": "4104057",
            "total_detected": 96,
            "total_prevented": 0,
            "impact_score": 45,
            "risk_score": 75,
            "confidence_score": 60,
            "time": 1782169637000
        },
        {
            "is_active": true,
            "severity": "HIGH",
            "details": "ET WEB_SERVER Possible IIS Integer Overflow DoS (CVE-2015-1635)",
            "signature_id": "2020912",
            "total_detected": 5,
            "total_prevented": 0,
            "impact_score": 52,
            "risk_score": 75,
            "confidence_score": 70,
            "time": 1782168851000
        },
        {
            "is_active": true,
            "severity": "HIGH",
            "details": "SLR Alert - Microsoft Windows HTTP.SYS Remote Code Execution Attempt (CVE-2015-1635)",
            "signature_id": "4100423",
            "total_detected": 5,
            "total_prevented": 0,
            "impact_score": 52,
            "risk_score": 75,
            "confidence_score": 70,
            "time": 1782168851000
        }
    ]
}
object
time_interval
Optional

Represents a continuous span of time defined by a required start and end timestamp.

array of object
signature_list
Optional

List of signature info which is detected in compute.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/threat-analysis/{compute-id}/related-signatures